| Home | Libraries | People | FAQ | More

## Struct template logical_not_base

boost::numeric::functional::logical_not_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Arg, typename EnableIf = void>
    struct logical_not_base :
      public std::unary_function< Arg, typeof(!lvalue< Arg >())>
    {

      // public member functions
      result_type operator()(Arg &) const;
    };

## Description

### `logical_not_base` public member functions

1.     result_type operator()(Arg & arg) const;

   Returns: | ! arg